Subject: Re: zone router

From: Walt Reed <[email-masked]>
Date: Thu, 22 Mar 2001 16:54:20 -0800

hate to reply to my own posts but i looked into it a bit more and saw 
that your -router may route between appletalk networks on a single 
interface, but i beleive you need something to "seed" the networks 
(such as the CAP machine) before this will work.  with multiple 
interfaces (let's face it, you can get them for $15-$20 on an intel 
box) and the -seed option i think your problems would disappear.

w

?hey chad,

i may be way off base here, but don't appletalk routers need to have 
a separate interface for each zone?  i used one back in the day that 
routed between 2 floors (i believe it was a farallon pathfinder) and 
you basically hooked one end to each network, or zone.  all the 
machines on each network had to physically reside in the same area. 
does you old sun box have more than one ethernet card?  i noticed 
your linux box does not.  if the sun has more than one ethernet card, 
(or maybe not, since i don't know the capabilities of CAP) you should 
look into getting some more for the linux box.  besides, you'll get 
better throughput.

w

>As far as I know, there are no other appletalk routers. Is there any way
>to scan for it? But when I shut down the netatalk or CAP server, the macs
>say appletalk is gone and register no zones, so I would think that would
>mean that there isn't another router running, right?
>
>This is very strange...
>
>On Thu, 22 Mar 2001, alan premselaar wrote:
>
>>   do you have any other appletalk routers on your network?
>>
>>   when the macs see the zones in the chooser (after clicking on appleshare),
>>   what zone(s) does the linux server show up in?
>>
>>   more than likely you've got another appletalk router somewhere on your
>>   network and it has conflicting zone information.
>>
>>   alan
>>
>>   At 1:12?? -0500 3.22.01, Chad Cunningham wrote:
>>   >Hi,
>>   >
>>   >I had rebooted them, didn't do anything. I tried opening the appletalk
>>   >control panel and switching the appletalk connection off of ethernet and
>>   >then back. This gave me all the zones, but for some reason every computer
>>   >was in every zone... Also, after about 2 minutes, the mac would lose all
>>   >it's zones and say that the appletalk network has become unavailable...
>>   >
>>   >On Thu, 22 Mar 2001, alan premselaar wrote:
>>   >
>>   > > Chad,
>>   > >
>>   > >   Once you make a change to your appletalk network like that, you'll
>>   >need to
>>   > > either a) reboot your macs, or b) open up the appletalk 
>>control panel on
>>   > > each of them... at which point it should tell you that your appletalk
>>   > > network setting is no longer valid and re-probe the ethernet device for
>>   > > zones, etc.  In some cases, i've had to switch the appletalk from the
>>   > > ethernet device to the printerport (or something else) and 
>>back before it
>>   > > would recognize the new zones.
>>   > >
>>   > > alan
>>   > >
>>   > > At 11:26?? -0500 3.22.01, Chad Cunningham wrote:
>>   > > >Hi,
>>   > > >
>>   > > >I am trying to replace a Solaris box running CAP with a 
>>linux box running
>>   > > >netatalk. I can't seem to get zones to work properly under the new
>>   > > >netatalk setup. My atalkd.conf looks like
>>   > > >
>>   > > >eth0 -router -phase 2 -net 0-65534 -addr 257.249 -zone 
>>"Staff" -zone "RTL"
>>   > > >-zone "Faculty" -zone "EMPT" -zone "Public"
>>   > > >
>>   > > >It seems happy with this, the atalkd.conf doesn't get 
>>overwritten when I
>>   > > >start up and I can use getzones and they all show up. 
>>However, none of the
>>   > > >macs recognize any zones. Any idea why this might be?
>>   > > >
>>   > > > --
>>   > > >
>>   > > >Chad Cunningham
>>   > > >[email-masked]
>>   > > >
>>   > > >"Well, once again my friend, we find that science is a two-headed
>>   >beast. One
>>   > > >head is nice, it gives us aspirin and other modern 
>>conveniences,...but the
>>   > > >other head of science is bad! Oh beware the other head of science,
>>   >Arthur, it
>>   > > >bites!"
>>   > >
>>   > > ----
>>   > >   there's nothing like the undying sense of reliability 
>>provided by modern
>>   > > technology.
>>   > > ----
>>   > > alan premselaar
>>   > > [email-masked]
>>   > > www.12inch.com
>>   > >
>>   >
>>   >--
>>   >
>>   >Chad Cunningham
>>   >[email-masked]
>>   >
>>   >"Well, once again my friend, we find that science is a 
>>two-headed beast. One
>>   >head is nice, it gives us aspirin and other modern conveniences,...but the
>>   >other head of science is bad! Oh beware the other head of 
>>science, Arthur, it
>>   >bites!"
>>
>>   ----
>>     there's nothing like the undying sense of reliability provided by modern
>>   technology.
>>   ----
>>   alan premselaar
>>   [email-masked]
>>   www.12inch.com
>>
>
>--
>
>Chad Cunningham
>[email-masked]
>
>"Well, once again my friend, we find that science is a two-headed beast. One
>head is nice, it gives us aspirin and other modern conveniences,...but the
>other head of science is bad! Oh beware the other head of science, Arthur, it
>bites!"

---

From: Chad Cunningham <[email-masked]>
Date: Thu, 22 Mar 2001 20:02:29 -0500 (EST)

I'm confused :) What would the function of the second nic be? We actually
have a second one in the machine, it's just not doing anything. We have
two subnets, however all the macs are in one subnet as the server.

I've not found a good explanation of appletalk networking, so I think I'm
missing what the function of the second nic would be and how it should
be configured. Cap is happy with just 1 nic and multiple zones, but I wanted
to move to netatalk because cap doesn't handle resource forks very well.

-- 

Chad Cunningham

---

From: Tom Lane <[email-masked]>
Date: Thu, 22 Mar 2001 22:38:09 -0500

Chad Cunningham <[email-masked]> writes:
> I've not found a good explanation of appletalk networking,

There's a pretty good one at http://www.neon.com/atalk_routing.html
(it's somewhat embellished with ads for their RouterCheck product,
but well worth a read anyway).

			regards, tom lane

---

From: alan premselaar <[email-masked]>
Date: Thu, 22 Mar 2001 19:38:17 -0800

Here's comment text taken out of the atalkd.conf file for 
netatalk-1.4.99-0.20001108mdk:

# -seed only works if you have multi-interfaces.  Any missing arguments are
# automatically configured from the network.  Note: lines can't actually be
# split, tho it's a good idea.
#
# -router is like -seed but it allows single-interface routing. -dontroute
# disables routing for the specified interface.
#

Basically, here's why you would want to perform "routing" on a single 
interface. Say you have multiple macs on one single subnet, but there's 
enough appletalk devices (printers, servers, clients, etc) broadcasting 
appletalk services to clutter your chooser.  You could define multiple 
zones in a single subnet and have different devices broadcast in different 
zones accordingly.

this is especially handy if you have printer spoolers set up for your 
printers, but don't want to "hide" the actual printer for specific reasons. 
with this method you could broadcast the actual printer in a zone ("Real 
Printer Zone" for example) and broadcast the spoolers in a different zone 
("Print Spooler Zone" for another example) ... this cleans up the chooser 
really nicely.  (as well, can be done for AFP services)

you should read this: http://www.neon.com/atalk_routing.html  for more 
detailed information regarding appletalk routing.

alan

At 8:02午後 -0500 3.22.01, Chad Cunningham wrote:
>science,

----

---

From: Chad Cunningham <[email-masked]>
Date: Mon, 26 Mar 2001 09:15:21 -0500 (EST)

> zones in a single subnet and have different devices broadcast in different

That is my understanding, and this is exactly what I want to do. So it
sounds like it *should* be working, it's just not... Could this be a bug?
Does anyone have this working? Should I back off to the old 1.4b2+asun
release?

---

From: alan premselaar <[email-masked]>
Date: Mon, 26 Mar 2001 09:39:07 -0800

Chad,

   I have this working (to a small degree) at home. Try changing your 
network address settings (which should force your macs to see the change) 
if you can.  something like:

eth0 -router -phase 2 -net 10-20  -zone "Staff" -zone "RTL" -zone "Faculty" 
-zone "EMPT" -zone "Public"

and then restart the appletalk services, and then open the appletalk 
control panel on a mac and it should complain about the network settings, 
and then rescan the appletalk network, etc.

alan

----

---

From: Milivoj Ivkovic <[email-masked]>
Date: Fri, 06 Apr 2001 19:26:09 +0200

Is it possible to configure netatalk to reject certain characters in 
file/folder names?

We have a mixed Windows/Mac environment, and characters like "/", which are 
OK for Macs and used a lot, cause problems in Windows/Samba.

As it is, Netatalk encodes the character so it's ok on Unix ("/" becomes 
":2f"), but then the file/folder cannot be accesses from Windows.

Thanks!

Milivoj